
=head1 NAME

asn2deb - Create a Debian package for BER monitoring from ASN.1

=head1 SYNOPSIS

B<asn2deb>
S<[ B<-a> E<lt>ASN.1 fileE<gt> ]>
S<[ B<--asn>=E<lt>ASN.1 fileE<gt> ]>
S<[ B<-d> E<lt>optsE<gt> ]>
S<[ B<--dbopts>=E<lt>optsE<gt> ]>
S<[ B<-e> E<lt>addressE<gt> ]>
S<[ B<--email>=E<lt>addressE<gt> ]>
S<[ B<-h> ]>
S<[ B<--help> ]>
S<[ B<-n> E<lt>nameE<gt> ]>
S<[ B<--name>=E<lt>nameE<gt> ]>
S<[ B<-p> ]>
S<[ B<--preserve> ]>
S< [B<-v> ]>
S<[ B<--version> ]>

=head1 DESCRIPTION

This manual page documents briefly the B<asn2deb> command. B<asn2deb>
takes an ASN.1 file as input and creates a Debian package from it. The package
contains a loadable type table file for the wireshark network analyser.
The type table is generated by the ASN.1 compiler B<snacc>.

=head1 OPTIONS

=over 4

=item -a E<lt>ASN.1 fileE<gt> --asn=E<lt>ASN.1 fileE<gt>

ASN.1 file to use (mandatory).

=item -d E<lt>optsE<gt> --dbopts=E<lt>optsE<gt>

options for dpkg-buildpackage.

=item -e E<lt>addressE<gt> --email=E<lt>addressE<gt>

use e-mail address.

=item -h --help

print help and exit.

=item -n E<lt>nameE<gt> --name=E<lt>nameE<gt>

use user name.

=item -p --preserve

do not overwrite files.

=item -v --version

print version and exit.

=back

=head1 EXAMPLES

/usr/bin/asn2deb -e me@foo.net -a bar.asn1 \-n "My Name" -d "-rfakeroot -uc -us"-d "-rfakeroot -uc -us"

=head1 SEE ALSO

A lot of tools are used, which you have to B<apt-get install>: wireshark-dev, python, cdbs, autotools-dev, debhelper, dpkg-dev,
snacc.

=head1 COPYING

This manual page was written by W. Borgert debacle@debian.org
for Debian GNU/Linux (but may be used by others). Permission is granted
to copy, distribute and/or modify this document under the terms of the
GNU General Public License, Version 2 or any later version published by
the Free Software Foundation.

=head1 AUTHOR

B<W. Borgert> Author.

=head1 COPYRIGHT

Copyright (C) 2003, 2005 W. Borger
